English
English
Appearance
English
English
Appearance
https://api.repliz.com/public/storage/file/massDelete multiple files from your storage at once.
Authorization: Basic Base64(AccessKey:SecretKey))| Parameter | Type | Required | Description |
|---|---|---|---|
fileIds | array | Yes | IDs of the files to remove, at least one, sent as fileIds[]=ID. |
curl -X DELETE "https://api.repliz.com/public/storage/file/mass?fileIds[]=680affa5ce12f2f72916f67e&fileIds[]=680affa5ce12f2f72916f67a" \
-H "Authorization: Basic $(echo -n 'YOUR_ACCESS_KEY:YOUR_SECRET_KEY' | base64)"import axios from 'axios';
const response = await axios.delete('https://api.repliz.com/public/storage/file/mass', {
params: {
fileIds: ['680affa5ce12f2f72916f67e', '680affa5ce12f2f72916f67a'],
},
auth: {
username: 'YOUR_ACCESS_KEY',
password: 'YOUR_SECRET_KEY',
},
});
console.log(response.data);const credentials = btoa('YOUR_ACCESS_KEY:YOUR_SECRET_KEY');
const response = await fetch(
'https://api.repliz.com/public/storage/file/mass?fileIds[]=680affa5ce12f2f72916f67e&fileIds[]=680affa5ce12f2f72916f67a',
{
method: 'DELETE',
headers: {
Authorization: `Basic ${credentials}`,
},
},
);
const data = await response.json();
console.log(data);// No content returned on success{
"code": 401,
"message": "unauthorized"
}